Skip to main content

Redirect to clerk

POST{{server}}/api/v1/counter/redirect?ticket={{ticketKey}}

This endpoint redirects the ticket to a selected clerk.

Request

  • ticket(string, required): The called ticket key.

  • task(string, required): The key of the task under transaction.

  • user(string, required): Target clerk's user key

  • wasRealTransaction(boolean): Is it was a real transaction?

  • forced(boolean): Forced mode, skip the service matrix validation.

  • afterwork(boolean): If the afterwork is enabled for the current service, the clerk can decide whether want to afterwork on the ticket or not.

  • closingCodes(string|string[]): Optional one or more closing code keys

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Query parameters​

KeyValue
ticket{{ticketKey}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"user": "00000000-0000-4000-0002-000000000007",
"wasRealTransaction": true,
"forced": true,
"afterwork": false,
"closingCodes": null
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/redirect?ticket={{ticketKey}}' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"user": "00000000-0000-4000-0002-000000000007",
"wasRealTransaction": true,
"forced": true,
"afterwork": false,
"closingCodes": null
}'

Example​

Example request
POST{{server}}/api/v1/counter/redirect/clerk
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1906d4ba-ccac-4a1f-d8f9-a63962d6879a",
"task": "1906d4ba-cc9b-454b-75ab-abc57971fc21",
"user": "00000000-0000-4000-0002-000000000007",
"wasRealTransaction": true,
"forced": true,
"afterwork": false,
"closingCodes": null
}
Example response 204 No Content
No response body